=== debian/changelog ===
kubuntu-docs (5.10-0.6) breezy; urgency=low

  * fixed type in debian/preinst and swearing my space key

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 11 Oct 2005 13:42:47 +0200

kubuntu-docs (5.10-0.5) breezy; urgency=low

  * debian/preinst: 
    - removed not needed dpkg-divert --list stuff
    - Only do the divert during install or upgrade
  * debian/postrm:
    - removed bashism ;) (Thx Kamion)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 11 Oct 2005 13:35:14 +0200

kubuntu-docs (5.10-0.4) breezy; urgency=low

  * Use KDE stylesheets
  * debian/preinst: added dpkg-divert to divert
    /usr/share/ubuntu-artwork/home/index.html from ubuntu-docs
  * debian/postrm: remove the dpkg-divert
  * debian/links: add link to
    /usr/share/doc/kde/HTML/en/khelpcenter/kubuntu/about-kubuntu/C/index.html
  * Updates to documentation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  5 Oct 2005 16:58:03 +0100

kubuntu-docs (5.10-0.3) breezy; urgency=low

  * Update to latest version
  * Drop User Guide, it won't be finished in time

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  4 Oct 2005 18:48:00 +0100

kubuntu-docs (5.10-0.2) breezy; urgency=low

  * Initial release
  * Start release notes, add them to User Guide

 -- Sean Wheller <sean@inwords.co.za>  Sat,  9 Jul 2005 09:16:22 +0200
