=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

build-stamp:
	touch build-stamp

build: build-stamp
	# go to kde/ and execute 'make kdeb'
	make -C kde/ kdeb


install/kubuntu-docs::
	# *.desktop files to make documents appear in khelpcenter
	dh_install kde/khelpdesktop/kubuntu/*.desktop usr/share/apps/khelpcenter/plugins/kubuntu/
	# this is the .directory file for proper naming in khelpcenter.
	dh_install kde/khelpdesktop/kubuntu/.directory usr/share/apps/khelpcenter/plugins/kubuntu/
	# and here goes the documentation.
	dh_install build/kde/* usr/share/doc/kde/HTML/en/khelpcenter/kubuntu/

	
clean::
	# clean up
	make -C kde/ clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs
