## kubuntu-docs 5.10-0.6.2

=== debian/changelog ===
kubuntu-docs (5.10-0.6.2) breezy-updates; urgency=low

  * Use the correct path for the Firefox index page.  Malone #27906

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 10 Apr 2006 13:54:47 +0200

kubuntu-docs (5.10-0.6.1) breezy-updates; urgency=low

  [ Jonathan Riddell ]  
  * Use update-alternatives for Firefox index page
  
  [ Tollef Fog Heen ]
  * Conflict with versions of ubuntu-docs and edubuntu-artwork not using
    update-alternatives for Firefox index page.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Dec 2005 22:21:40 +0000
