=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: kubuntu-docs
 Architecture: all
 Depends: khelpcenter
+Conflicts: ubuntu-docs (<< 5.10-6.1), edubuntu-artwork (<< 0.1.0-9.1)
 Description: kubuntu documentation
  The Kubuntu documentation is in this package.
  Documentation in this package includes:
