## kubuntu-docs 6.06-11

=== debian/changelog ===
kubuntu-docs (6.06-11) dapper; urgency=low

  * Update translations in .desktop files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 May 2006 13:26:37 +0100

kubuntu-docs (6.06-10) dapper; urgency=low

  [ Jonathan Riddell ]
  * Add links in each langauge to en/common, makes html files work when 
    viewed without help:/ ioslave

  [ Matthew East ]
  * Updated translations for everything (last update before the release)

 -- Matthew East <mdke@ubuntu.com>  Sun, 21 May 2006 21:32:00 +0100

kubuntu-docs (6.06-9) dapper; urgency=low

  * Fix link to sample in desktopguide

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 May 2006 17:06:48 +0300

kubuntu-docs (6.06-8) dapper; urgency=low

  * Alter debian/rules to include translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 May 2006 02:31:40 +0300

kubuntu-docs (6.06-7) dapper; urgency=low

  * Rebuild for new locales for DapperFirefoxStartPageTranslation

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 16 May 2006 17:27:20 +0100

kubuntu-docs (6.06-6) dapper; urgency=low

  * Support DapperFirefoxStartPageTranslation:
    - add slave link
    - install link farm
    - build-depend on ubuntu-docs now
    Translations could be added in the source package as
    build/kbuntu/homepage-locales/index-LOCALE.html; see the wiki for
    details of values of LOCALE for which this won't just be ignored.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 21 Apr 2006 18:41:27 +0100

kubuntu-docs (6.06-5) dapper; urgency=low

  * New snapshot, includes some string changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Apr 2006 20:51:31 +0200

kubuntu-docs (6.06-4) dapper; urgency=low

  * Branching and string freeze.
  * Removing an unnecessary build-dep (poxml)
  * Removing images from the source and binary packages (these are not used)
  * Removing unused files from the source.

 -- Matthew East <mdke@ubuntu.com>  Wed,  12 Apr 2006 14:19:00 +0100

kubuntu-docs (6.06-3) dapper; urgency=low

  * Install doc-base files in rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat,  8 Apr 2006 23:15:28 +0100

kubuntu-docs (6.06-2) dapper; urgency=low

  * New snapshot 
  * Add file:/// to sed rule
 
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  7 Apr 2006 20:09:57 +0100

kubuntu-docs (6.06-1) dapper; urgency=low

  * New snapshot
  * Use sed to change path to absolute on about-kubuntu for firefox

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 Mar 2006 21:13:09 +0100

kubuntu-docs (6.04-6) dapper; urgency=low

  * Using xsltproc to generate all html
  * Nice kde themed html for all documents
  * Adding packaging guide to khelpdesktop
  * Not shipping quickguide any more

 -- Matthew East <mdke@ubuntu.com>  Sun, 12 Mar 2006 14:06:29 +0000

kubuntu-docs (6.04-5) dapper; urgency=low

  * New snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Feb 2006 20:55:55 +0000

kubuntu-docs (6.04-4) dapper; urgency=low

  * New snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 21:14:29 +0000

kubuntu-docs (6.04-3) dapper; urgency=low

  * Add debian/dirs file to create firefox homepage directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  2 Jan 2006 17:03:59 +0000

kubuntu-docs (6.04-2) dapper; urgency=low

  * New snapshot
  * Use update-alternatives for the firefox about page

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Dec 2005 15:00:47 +0000

kubuntu-docs (6.04-1) dapper; urgency=low

  * First Dapper build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Nov 2005 19:34:31 +0000
