=== debian/changelog ===
kubuntu-docs (6.06-12) dapper-updates; urgency=low

  * Updated release notes from Jonathan Jesse
    closes launchpad #48525

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  2 Aug 2006 20:22:14 +0100
