=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, kdelibs-data, kdelibs-bin, ubuntu-docs (>= 6.04.7)
Standards-Version: 3.6.1.0

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * About Kubuntu
  * Kubuntu Release Notes
  * Kubuntu Desktop Guide
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>
